Click here to Skip to main content
14,695,620 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
My friends, I have a software called BRP, which is currently installed on Windows XP (my current windows) and is connected to the postgresql database and works correctly, It should be noted that the BRP software is portable and easy to install on other capable systems.

The problem here is that when I install postgresql software on Windows XP or 7 and I also define the databases to be restarted and define odbc related to it, the software runs but the failure error Associates with the database, while in my current Windows that is, Windows Xp , I several removed postgresql software and reinstall it and defined related its ODBC , it works correctly.

Why does it work on the current Windows but not on other windows? Please guide me in this regard, thanks.

https://pasteboard.co/HZKhmQ8.jpg

What I have tried:

Please guide me in this regard
Posted
Updated 5-Feb-19 4:25am
v6

1 solution

That is hard to tell without having access to the code, but the error is QT related.
See information here: SQL Database Drivers | Qt SQL 5.12[^]
Quote:
instruct the ODBC driver to behave as a 3.x driver by setting the connect option "SQL_ATTR_ODBC_VERSION=SQL_OV_ODBC3" before you open your database connection.
QSqlDatabase db = QSqlDatabase::addDatabase("QODBC3");

Another thing you can try is run the application in "Compatibility mode for XP".
   
v2
Comments
Maciej Los 5-Feb-19 13:08pm
   
5ed!

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)




CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900